<template>
  <frame :modal="modal">
    <headline>
      Choose a color
    </headline>

    <div class="mx-8 flex flex-row items-center justify-center flex-wrap">
      <div
        v-for="color of colors"
        :key="color"
        @click="select(color)"
        :class="`bg-${color}-500 rounded-full mr-4 mb-4 h-8 w-8`"
      ></div>
    </div>

    <actions> </actions>
  </frame>
</template>

<script lang="ts">
import { isModal } from "@/use/modal";
import Workspace from "@/models/Workspace";

export default {
  mixins: [isModal()],
  emits: ["input"],
  props: {
    value: String
  },
  setup(props, context) {
    return {
      colors: Workspace.COLORS,
      select: (value: string) => {
        context.emit("input", value);
        props.modal.hide();
      }
    };
  }
};
</script>
